Skip to main content
GET
/
api
/
halls
/
{hall_id}
/
seat-types
Get all the seat types by hall ID
curl --request GET \
  --url https://tandem.hlofiys.xyz/api/halls/{hall_id}/seat-types
import requests

url = "https://tandem.hlofiys.xyz/api/halls/{hall_id}/seat-types"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://tandem.hlofiys.xyz/api/halls/{hall_id}/seat-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "seat_type_id": 123,
    "name": "<string>",
    "price": "99.90",
    "seat_color": "#4A90E2",
    "hall_id": 123
  }
]
{
"message": "<string>"
}

Path Parameters

hall_id
integer<int64>
required

Response

Successful response. Returns an array of all existing seat types in hall

seat_type_id
integer<int64>
required

Unique seat type ID

name
string
required

Seat type name

price
string
required

Cost of place. Passed as a string to preserve precision

Example:

"99.90"

seat_color
string
required

Color in 6-digit or 3-digit HEX format, starting with '#'

Pattern: ^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$
Example:

"#4A90E2"

hall_id
integer<int64>
required

Unique hall ID